Subject: Re: [PATCH v4 6/6] Documentation: Describe 'submodule update' modes in detail

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Jan 2014 13:55:37 -0800

"W. Trevor King" <[email-masked]> writes:

>> A naïve expectation from a casual reader of the above would be "The
>> superproject's tree ought to point at the same commit as the tip of
>> the branch used in the submodule (modulo mirroring delays and
>> somesuch),
>
> What is the branch used in the submodule?  The remote subproject's
> current submodule.<name>.branch?  The local submodule's
> submodule.<name>.branch (or localBranch) branch?  The submodule's
> current HEAD?

They are good questions that such casual readers would have, and
giving answers to them in this part of the documentation would be a
good way to give them a clear picture of how the command is designed
to be used.